{ config, pkgs, lib, ... }:
{
  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
    "obsidian"
  ];

  # TODO: Disallow insecure Electron version.
  nixpkgs.config.permittedInsecurePackages = [
    "electron-25.9.0"
  ];

  users.users.yoda = {
    packages = with pkgs; [
      obsidian # Markdown notes
    ];
  };
}
