{ config, pkgs, ... }:
{
  # Sync files between devices

#  services = {
#    syncthing = {
#      enable = true;
#      user = "yoda";
#    };
#  };

  environment.systemPackages = with pkgs; [
    syncthing

    # Syncthing integration into GNOME
    #
    # Incompatible with my GNOME version.
    # Seems no longer maintained ...
    #gnomeExtensions.syncthing-icon
    # Actively maintained, already adjusted for GNOME 45.
    # Did not work properly, see below.
    #gnomeExtensions.syncthing-indicator
  ];

  #
  # Enable the above GNOME extension.
  #

  # gnomeExtensions.syncthing-indicator
  #   I had to edit
  #     /home/yoda/.config/systemd/user/syncthing.service
  #   and adjust the path to the syncthing executable.
  #   Then I could start Syncthing throug the extension.
  #   But it does still not work properly :/
  #   It does not detect my folders and the sync status.

#  programs.dconf.enable = true;
#  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
#    dconf.settings = {
#      "org/gnome/shell" = {
#        disable-user-extensions = false;
#        enabled-extensions = [
#          pkgs.gnomeExtensions.syncthing-indicator.extensionUuid
#        ];
#      };
#    };
#  };
}
