{ config, pkgs, ... }:
{
  # https://nixos.wiki/wiki/Libvirt

  # libvirt is a dependency of GNOME Boxes
  virtualisation.libvirtd.enable = true;
  users.users.yoda = {
      extraGroups = [ "libvirtd" ];

      packages = with pkgs; [
        gnome.gnome-boxes # Virtual machines
      ];
    };
}
